# List scheduled tasks

Source: https://next.coolify.io/docs/api/endpoints/scheduled-tasks/list-scheduled-tasks-by-service-uuid

## GET /services/{uuid}/scheduled-tasks

List scheduled tasks

List all scheduled tasks for a service.

**Authentication:** Bearer token (`bearerAuth`)

### Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| uuid | path | yes | string | UUID of the service. |

### Responses

#### 200

Get all scheduled tasks for a service.

`application/json`: array of ScheduledTask

Type: array of ScheduledTask

Schema `ScheduledTask`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| id | integer | no | The unique identifier of the scheduled task in the database. |
| uuid | string | no | The unique identifier of the scheduled task. |
| enabled | boolean | no | The flag to indicate if the scheduled task is enabled. |
| name | string | no | The name of the scheduled task. |
| command | string | no | The command to execute. |
| frequency | string | no | The frequency of the scheduled task. |
| container | string or null | no | The container where the command should be executed. |
| timeout | integer | no | The timeout of the scheduled task in seconds. |
| created_at | string (date-time) | no | The date and time when the scheduled task was created. |
| updated_at | string (date-time) | no | The date and time when the scheduled task was last updated. |

#### 401

Unauthenticated.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 404

Resource not found.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |
